Get preview for a table in a catalog
curl --request GET \
--url https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/preview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/preview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"start": 123,
"row_count": 123,
"columns": [
"<string>"
],
"next_start": 123,
"data": [
[
"<unknown>"
]
]
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Catalogs
Get preview for a table in a catalog
Get a preview for a desired table in a catalog.
GET
/
api
/
metastore
/
catalogs
/
{catalog_name}
/
schemas
/
{schema_name}
/
tables
/
{table_name}
/
preview
Get preview for a table in a catalog
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Catalog name.
Schema name.
Table name.
Query Parameters
Maximum number of rows to return.
Required range:
1 <= x <= 500Response
Table altered successfully.
The starting offset for pagination when returning a subset of the dataset.
The number of rows included in the current response.
A list of column names representing the structure of the returned dataset.
The offset value for the next page of data, if additional results are available.
The actual tabular data returned, where each inner list represents a row of values.
Was this page helpful?

